// 13DialogBox.cpp : 定義應用程式的類別行為。
//

#include "stdafx.h"
#include "13DialogBox.h"
#include "13DialogBoxDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMy13DialogBoxApp

BEGIN_MESSAGE_MAP(CMy13DialogBoxApp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CMy13DialogBoxApp 建構

CMy13DialogBoxApp::CMy13DialogBoxApp()
{
	// TODO: 在此處加入建構程式碼，
	// 在 InitInstance 中放置所有的顯著性初始設定
}


// 僅有的一個 CMy13DialogBoxApp 物件

CMy13DialogBoxApp theApp;


// CMy13DialogBoxApp 初始設定

BOOL CMy13DialogBoxApp::InitInstance()
{
	// 假如應用程式資訊清單指定使用 ComCtl32.dll 6.0 版或更新版本
	// 以啟用視覺化樣式，則 Windows XP 需要 InitCommonControls()。否則的話，
	// 任何視窗的建立將失敗。
	InitCommonControls();

	CWinApp::InitInstance();

	AfxEnableControlContainer();


	CMy13DialogBoxDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: 在此處放置於使用 [確定] 來停止使用對話方塊時
		// 處理的程式碼
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: 在此處放置於使用 [取消] 來停止使用對話方塊時
		// 處理的程式碼
	}

	// 因為已經關閉對話方塊，傳回 FALSE，所以我們會結束應用程式，
	// 而非提示開始應用程式的訊息。
	return FALSE;
}
